FROM python:3.8-slim
MAINTAINER marius.herr@uni-tuebingen.de

COPY ./requirements_slim.txt /tmp/requirements.txt
RUN apt-get update -yqq && \
    apt-get dist-upgrade -yqq && \
    pip install scikit-learn

# install train container library
COPY ./train_lib /tmp/train-container-library/train_lib
COPY ./setup.py /tmp/train-container-library/setup.py
COPY ./README.md /tmp/train-container-library/README.md
RUN pip install --no-cache-dir /tmp/train-container-library/
